/*
 * Copyright (c) Members of the EGEE Collaboration. 2010.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Authors: Zsolt Molnar, CERN
 */
#ifndef _GFAL_IS_IFCE_UNITTEST_H_
#define _GFAL_IS_IFCE_UNITTEST_H_

#include <check.h>
#include "ServiceDiscoveryIfce.h"

/* Wrapper of static functions for testing */
extern char *gfal_is_interafce_test_strtok_uri (char *uri);
extern int gfal_is_interface_test_get_max_uri_length(void);

#endif /* _GFAL_IS_IFCE_UNITTEST_H */


